program SignatureQuoter;

uses classes, sysutils;
{$R *.RES}

var Quotes, Signature : TStrings;
    Counter,counter2  : integer;
    Found          : boolean;
    Quote          : string;
    QUOTEFILE, BASICFILE, RESULTFILE : string;
    StdOut         : TextFile;
begin
  AssignFile(StdOut,'');

  if ParamCount<>3 then
    begin
      writeln(ExtractFileName(ParamStr(0)),', version 3.1, (C) 1997 Hans Luijten');
      writeln('Not enough actual parameters.');
      writeln('Usage: ',ExtractFileName(ParamStr(0)),' QUOTESFILE BASICFILE RESULTFILE');
      exit;
    end;

  QUOTEFILE:=ParamStr(1);
  BASICFILE:=ParamStr(2);
  RESULTFILE:=ParamStr(3);

  Quotes:=TStringlist.create;   { Create stringlists }
  Quotes.Clear;
  Quotes.LoadFromFile(QUOTEFILE); { load quotes }

  Randomize; { initialize randomizer }

  Quote:=Quotes.strings[random(Quotes.count-1)]; { choose random quote }

  { load basic signature }
  for counter2:=1 to 3 do
    begin
      Signature:=TStringlist.create;
      Signature.clear;

      {load signature template}
      case counter2 of
      1: Signature.LoadFromfile(BASICFILE+'.TXT');
      2: Signature.LoadFromfile(BASICFILE+'.RTF');
      3: Signature.LoadFromfile(BASICFILE+'.HTM');
      end;

      Found:=false; { <!-- QUOTE HERE --> not yet found }

      {let's try to find the HTML tag}
      for counter:=0 to Signature.count-1 do
        if Pos('<!-- QUOTE HERE -->', Signature.Strings[counter])>0 then
          begin {we did find this tag}
            Signature.strings[counter]:=Quote; {replace tag with new line }
            Found:=true; {yup, we found it allright}
          end;

      {We didn't find the tag, so we're the quote at the end of the file}
      if not found then
        Signature.Add(Quote);

      {save new signature file}
      Case counter2 of
      1: Signature.SaveToFile(RESULTFILE+'.TXT');
      2: Signature.SaveToFile(RESULTFILE+'.RTF');
      3: Signature.SaveToFile(RESULTFILE+'.HTM');
      end;

      Signature.Free; {release stringlist}
    end;

  Quotes.Free; {release stringlist}
end.
